// sram_ctrl.v

// Generated using ACDS version 12.1 177 at 2013.03.29.22:39:12

`timescale 1 ps / 1 ps
module sram_ctrl (
		input  wire        chipselect,      // avalon_slave_0.chipselect
		input  wire        write,           //               .write
		input  wire        read,            //               .read
		input  wire [17:0] address,         //               .address
		output wire [15:0] readdata,        //               .readdata
		input  wire [15:0] writedata,       //               .writedata
		input  wire [1:0]  byteenable,      //               .byteenable
		output wire        SRAM_chipselect, //    conduit_end.export
		output wire        SRAM_write,      //               .export
		output wire        SRAM_read,       //               .export
		output wire [17:0] SRAM_address,    //               .export
		output wire [15:0] SRAM_writedata,  //               .export
		output wire [1:0]  SRAM_byteenable  //               .export
	);

	sram_controller sram_ctrl_inst (
		.chipselect      (chipselect),      // avalon_slave_0.chipselect
		.write           (write),           //               .write
		.read            (read),            //               .read
		.address         (address),         //               .address
		.readdata        (readdata),        //               .readdata
		.writedata       (writedata),       //               .writedata
		.byteenable      (byteenable),      //               .byteenable
		.SRAM_chipselect (SRAM_chipselect), //    conduit_end.export
		.SRAM_write      (SRAM_write),      //               .export
		.SRAM_read       (SRAM_read),       //               .export
		.SRAM_address    (SRAM_address),    //               .export
		.SRAM_writedata  (SRAM_writedata),  //               .export
		.SRAM_byteenable (SRAM_byteenable)  //               .export
	);

endmodule
